Package org.silverpeas.mobile.client.common.app

## Class App

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `NavigationEventHandler`, `AppEventHandler`
  Direct Known Subclasses:
    `AgendaApp`, `BlogApp`, `ClassifiedsApp`, `CommentsApp`, `ConfigApp`, `ContactsApp`, `DocumentsApp`, `FaqApp`, `FavoritesApp`, `FormsOnlineApp`, `HyperLinkApp`, `MediaApp`, `NavigationApp`, `NewsApp`, `NotificationsApp`, `NotificationsBoxApp`, `ProfileApp`, `ResourcesManagerApp`, `SharesBoxApp`, `SurveyApp`, `TasksApp`, `WebPageApp`, `WorkflowApp`

      public abstract class App
      extends Object
      implements AppEventHandler, NavigationEventHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected com.google.gwt.user.client.ui.SimplePanel` | `container` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `App()` |
    `App​(String appName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ApplicationInstanceDTO` | `getApplicationInstance()` |
    `String` | `getAppName()` |
    `PageContent` | `getMainPage()` |
    `boolean` | `isStopLoading()` |
    `void` | `receiveEvent​(AppEvent event)` |
    `protected void` | `setApplicationInstance​(ApplicationInstanceDTO instance)` |
    `protected void` | `setMainPage​(PageContent mainPage)` |
    `void` | `setStopLoading​(boolean stopLoading)` |
    `void` | `showContent​(NavigationShowContentEvent event)` |
    `void` | `start()` |
    `void` | `startWithContent​(ContentDTO content)` |
    `void` | `stop()` |
    `void` | `stopLoadingDataEvent​(StopLoadingDataEvent stopLoadingDataEvent)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.mobile.client.apps.navigation.events.app.external.NavigationEventHandler

      `appInstanceChanged`

- - ### Field Detail

    - #### container

          protected com.google.gwt.user.client.ui.SimplePanel container

  - ### Constructor Detail

    - #### App

          public App()

    - #### App

          public App​(String appName)

  - ### Method Detail

    - #### start

          public void start()

    - #### startWithContent

          public void startWithContent​(ContentDTO content)

    - #### stop

          public void stop()

    - #### getMainPage

          public PageContent getMainPage()

    - #### setMainPage

          protected void setMainPage​(PageContent mainPage)

    - #### getAppName

          public String getAppName()

    - #### setStopLoading

          public void setStopLoading​(boolean stopLoading)

    - #### isStopLoading

          public boolean isStopLoading()

    - #### stopLoadingDataEvent

          public void stopLoadingDataEvent​(StopLoadingDataEvent stopLoadingDataEvent)

      Specified by:
        `stopLoadingDataEvent` in interface `AppEventHandler`

    - #### receiveEvent

          public void receiveEvent​(AppEvent event)

      Specified by:
        `receiveEvent` in interface `AppEventHandler`

    - #### getApplicationInstance

          public ApplicationInstanceDTO getApplicationInstance()

    - #### setApplicationInstance

          protected void setApplicationInstance​(ApplicationInstanceDTO instance)

    - #### showContent

          public void showContent​(NavigationShowContentEvent event)

      Specified by:
        `showContent` in interface `NavigationEventHandler`